Subject: [AVT] RTCP_APP and RTCP guidelines

From: "Ingemar Johansson S" <[email-masked]>
Date: Mon, 28 Jul 2008 20:37:33 +0200

Hi

As I dare to say that there is atleast some kind of consensus that RTCP_APP should be avoided. 
Lets pretend that we change all the RTCP_APP packets defined in 3GPP. The involved specs I know are.
3GPP TS 26.114
and
3GPP TS 26.234
If one decide to use the AVPF feedback types (205, 206) instead we need to fetch two numbers from the pool. In the payload-specific feedback messages pool there are currently 26 unused numbers, which means that one could probably use two of these numbers.
One problem I see is that many of the feedback messages are very specialized towards one particular service or codec which may conflict with the strive to define generic (feedback) messages. Also there is a risk of running out of numbers, something that, as I understand, can be solved with a few RTCP payload type number.
 
Organizations like 3GPP likes to get their standards set relatively fast and this is one reason why RTCP_APP is the given choice. To avoid this the alternative must be almost equally simple. I does not need to be as simple, I believe that in some cases it would be better to sit down and think about the options (like is hinted in the draft).

Suppose that 3GPP sends a request for a AVPF feedback type for a new service (could be an LS), what is the work order?, how is the new feedback number registered (a new RFC?). I beleieve that something that describes this clearly would be good to have in the RTCP guidlines.  
 
/Ingemar
******************************************* 
Ingemar Johansson 
Senior Research Engineer, IETF "nethead" 
EAB/TVP - Multimedia Technologies 
Ericsson Research Ericsson AB 
Box 920 S-971 28 Luleå, Sweden 
Tel: +46 (0)8 4043042 
ECN: 850-43042 
ECC: 850-43074 
Mobile: +46 (0)730 783289 
******************************************* 
_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www.ietf.org/mailman/listinfo/avt